%define upstream_name serverfiles

Name:           python-%{upstream_name}
Version:        0.3.0
Release:        %mkrel 4
Summary:        An utility that accesses files on a HTTP server and stores them locally for reuse
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/biolab/serverfiles
Source0:        https://files.pythonhosted.org/packages/72/2d/edd104137443a831eed2f1cedfe96eb003302097b43e7519a98467c5fe44/serverfiles-%{version}.tar.gz
BuildArch:      noarch

%description
An utility that accesses files on a HTTP server and stores them locally for reuse.

%package -n     python3-%{upstream_name}
Summary:        An utility that accesses files on a HTTP server and stores them locally for reuse
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
An utility that accesses files on a HTTP server and stores them locally for reuse.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitelib}/serverfiles
%{python3_sitelib}/serverfiles-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 0.3.0-4.mga8
+ Revision: 1608307
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1533715
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 0.3.0-2.mga8
+ Revision: 1445343
- rebuild for python-3.8
- drop python2 subpkg

* Sun Mar 24 2019 guillomovitch <guillomovitch> 0.3.0-1.mga7
+ Revision: 1379956
- imported package python-serverfiles

